View Issue Details

IDProjectCategoryView StatusLast Update
0032270Open CASCADEOCCT:Configurationpublic2021-12-02 16:20
Reporterbugmaster Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2008 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032270: Configuration - Removing VS 2008 from maintenance
DescriptionUpdate:
- overview
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0032352 verifiedkgv Coding Rules - clean up code from compatibility hacks with pre-C++11 compilers 
related to 0032707 newkgv Configuration - Removing VS2010/VS2012 from maintenance 
child of 0028824 closedbugmaster Possibility to build OCCT 7.1.0 and above using Visual Studio 2008 

Activities

git

2021-05-10 15:16

administrator   ~0100853

Branch CR32270 has been created by kgv.

SHA-1: be0ba8aa8773f1a23efa470ab7cc529cf2771fd4


Detailed log of new commits:

Author: kgv
Date: Mon May 10 15:14:29 2021 +0300

    0032270: Configuration - Removing VS 2008 from maintenance
    
    Documentation - updated list of supported platforms.

kgv

2021-05-10 15:17

developer   ~0100854

Please raise the patch
- OCCT: branch CR32270.

bugmaster

2021-05-15 14:00

administrator   ~0101007

Combination -
OCCT branch : IR-2021-05-14
master SHA - d1b8120b699dfa46c9899f70430ec45a0c4e4a95
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-14 SHA - c56cdc236ba39874bae48cf231ece00c0876d871
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17874.080000000333 / 17899.800000000352 [-0.14%]
Products
Total CPU difference: 11557.880000000083 / 11563.54000000011 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19394.921875 / 19369.625 [+0.13%]
Products
Total CPU difference: 12880.234375 / 12896.03125 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-05-15 15:34

administrator   ~0101031

Branch CR32270 has been deleted by inv.

SHA-1: be0ba8aa8773f1a23efa470ab7cc529cf2771fd4

Related Changesets

occt: master d82eb9de

2021-05-10 12:14:29

kgv


Committer: bugmaster Details Diff
0032270: Configuration - Removing VS 2008 from maintenance

Documentation - updated list of supported platforms.
Affected Issues
0032270
mod - dox/introduction/introduction.md Diff File

Issue History

Date Modified Username Field Change
2021-03-30 17:18 bugmaster New Issue
2021-03-30 17:18 bugmaster Assigned To => bugmaster
2021-03-30 17:23 bugmaster Assigned To bugmaster => kgv
2021-03-30 17:23 bugmaster Status new => assigned
2021-03-30 17:35 kgv Summary Configuration: Removing VS 2008 from maintenance => Configuration - Removing VS 2008 from maintenance
2021-03-30 17:36 kgv OS => VC++ 2008
2021-03-30 17:36 kgv Platform => Windows
2021-05-10 15:16 git Note Added: 0100853
2021-05-10 15:17 kgv Assigned To kgv => bugmaster
2021-05-10 15:17 kgv Severity minor => integration request
2021-05-10 15:17 kgv Status assigned => resolved
2021-05-10 15:17 kgv Description Updated
2021-05-10 15:17 kgv Note Added: 0100854
2021-05-10 15:17 kgv Status resolved => reviewed
2021-05-10 15:18 kgv Relationship added child of 0028824
2021-05-10 15:19 kgv Product Version 7.6.0 =>
2021-05-10 15:31 kgv Relationship added parent of 0032352
2021-05-15 14:00 bugmaster Note Added: 0101007
2021-05-15 14:00 bugmaster Status reviewed => tested
2021-05-15 14:03 bugmaster Test case number => Not required
2021-05-15 14:16 bugmaster Changeset attached => occt master d82eb9de
2021-05-15 14:16 bugmaster Status tested => verified
2021-05-15 14:16 bugmaster Resolution open => fixed
2021-05-15 15:34 git Note Added: 0101031
2021-12-02 16:20 kgv Relationship added related to 0032707